/* Lambert diffuse BRDF.
 * N, I, and L should be passed as-is directly from the shader.
 */

float LambertBRDF( normal N; vector I, L )
{
	return (faceforward( normalize(N), I, N ) . normalize( L ));
}
