/* rock.sl - Rock surface.
 */

#include "includes/diffuse/LommelSeeliger.h"
#include "includes/diffuse/HenyeyGreenstein.h"


surface rock()
{
	normal Normal = faceforward( normalize(N), I, N );
	vector View = normalize( -I );
	point Po = transform("object",P);
	
	Oi = Os;
	Ci = color(0,0,0);

	illuminance( P, Normal, PI/2 )
	{
		Ci += color(1) * Cl * Cs * LommelSeeligerBRDF( N, I, L );
		//Ci += color(1) * Cl * Cs * HenyeyGreensteinBRDF( N, I, L, 0.6 ) * 0.75;
	}
}


